Page MenuHomePhabricator

Make Diviner a first-class application
Closed, ResolvedPublic

Assigned To
Authored By
vrana
Mar 14 2012, 5:25 PM
Tokens
"Mountain of Wealth" token, awarded by dctrwatson."Like" token, awarded by Dianoga."Mountain of Wealth" token, awarded by davidreuss."Like" token, awarded by svemir.

Description

It will have these benefits:

  • Documents the same version as installation uses.
  • Works when phabricator.com is down or inaccessible.
  • It can link back to installation, e.g. to provide a link for uploading images from Remarkup reference.

Revisions and Commits

D8417
rPHU libphutil
D8412
Restricted Differential Revision
Restricted Differential Revision
rARC Arcanist
D8413
rP Phabricator
Abandoned
D8419
D8416
D8415
D8414
D8410
D8408
D8407
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
epriestley renamed this task from Move documentation from http://phabricator.com/docs/phabricator/ inside installations to Make Diviner a first-class application.Feb 11 2013, 5:11 PM

✘ Merged into T2619.

(Just squishing the other way.)

Sorry about the ticket merge spam!

epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.

I'd like to at the very least be able to point to doxygen/other externally generated documentation generated from my own projects. That is, have a Harbormaster (for example) build plan that would run doxygen (or other external tool) on my project and dump the result in some place that Phabricator can serve it up.

You can build external documentation through Harbormaster, but we probably won't serve it through Phabricator anytime soon. Serving arbitrary HTML content via Phabricator creates a lot of security issues that we'd need to work through.

("can build" in the sense of "will be able to build, once Harbormaster is a little farther along").

You can build external documentation through Harbormaster, but we probably won't serve it through Phabricator anytime soon. Serving arbitrary HTML content via Phabricator creates a lot of security issues that we'd need to work through.

I'd be fine for the time being with the link opening a new window/tab. The main thing is I'd like to avoid extra Apache configuration, for example: having a directory under phabricator/webroot/externalContent

("can build" in the sense of "will be able to build, once Harbormaster is a little farther along").

Right, I'm trying to think a little farther along here :-)

epriestley changed the visibility from "All Users" to "Public (No Login Required)".Feb 10 2014, 2:59 AM
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.
epriestley edited this Maniphest Task.

I'm going to close this as resolved. There's more work to be done, but it's covered in linked tasks, particularly T4558.

(Notably, while Diviner is first-class, it's not really usable outside of Phabricator itself yet. T4558 covers making it more general.)